%define luaver 5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           luadoc
Version:        3.0.1
Release:        %mkrel 7
Summary:        Documentation Generator Tool for the Lua language

Group:          Development/Other
License:        MIT
URL:            http://luadoc.luaforge.net/
Source0:        http://luaforge.net/frs/download.php/3185/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       lua
Requires:       lua-filesystem
Requires:       lua-logging

%description
LuaDoc is a documentation generator tool for Lua source code. It parses the
declarations and documentation comments in a set of Lua source files and
produces a set of XHTML pages describing the commented declarations and
functions.

The output is not limited to XHTML. Other formats can be generated by
implementing new doclets. The format of the documentation comments is also
flexible and can be customized by implementing new taglets.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} LUA_LIBDIR=$RPM_BUILD_ROOT/%{lualibdir} LUA_DIR=$RPM_BUILD_ROOT/%{luapkgdir} SYS_BINDIR=$RPM_BUILD_ROOT/%{_bindir} LUA_INTERPRETER=%{_bindir}/lua


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/us/*
%doc README
%{luapkgdir}/*
%{_bindir}/luadoc




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-7.mga3
+ Revision: 359075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 3.0.1-6.mga3
+ Revision: 253739
- turn to lua 5.2

* Sun Mar 13 2011 shikamaru <shikamaru> 3.0.1-5.mga3
+ Revision: 70260
- imported package luadoc

